gconf (3.2.6-4ubuntu1) artful; urgency=low

  * Merge from Debian unstable (LP: #1696659). Remaining changes:
    + don't package the gsettings backend since it's not meant to be
      distributed
    + debian/patches/02_xml-gettext-domain.patch: use gettext from schemas
      translations
    + debian/patches/05_nodisplay_autostart.patch: don't show in
      "Startup Applications"
    + debian/70gconfd_path-on-session, debian/gconf2-common.install: add
      additional gconf path depending on selected desktop session
    + debian/gconf-schemas:
      - convert to python3
      - encode and decode from UTF-8 to avoid postinst failing when schemas
        contain non ascii chars
      - shrink the generated %gconf-tree.xml, by filtering out locale specific
        defaults for uninstalled locales, leading tabs, empty short
        descriptions, and mtimes (which aren't interesting for system-wide
        defaults)
    + debian/update-gconf-defaults:
      - convert to python3
      - encode and decode from UTF-8 to avoid postinst failing when schemas
        contain non ascii chars
    + debian/gconf2.triggers, debian/gconf2.postinst, debian/gconf2.postrm:
      declare a new trigger on /usr/share/GConf/gsettings to watch when new
      gsettings convert files are installed
    + split gconf-service further into gconf-service and gconf-service-backend,
      one package being Multi-Arch: foreign and the other Multi-Arch: none, so
      that we correctly handle the fact that gconf2 needs backend modules of
      the same arch whereas other reverse-dependencies just need a working
      daemon
    + debian/patches/0001-Support-s-to-as-migrations-v2.patch: support 's' to
      'as' migrations
    + debian/patches/call-dbus_g_thread_init.patch: Initialize dbus threads
      before doing anything. This fixes crashes in multithreaded applications
      that don't use libdbus directly.
    + debian/patches/pytwonisms.patch: fix gsettings-schema-convert pythonisms
    + debian/patches/reduce-polling.patch: call the cleanup routine every
      minute, instead of twice per minute, to reduce wakeups and therefore
      power usage
    + debian/rules:
      - updated for python3
      - call dh_python3 with --shebang=/usr/bin/python3
    + debian/{control,control.in}: updated for python3

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 08 Jun 2017 08:53:23 +0200

gconf (3.2.6-4) unstable; urgency=medium

  [ Raphael Geissert ]
  * update-gconf-defaults: add support for lists of integers (Closes: #833131)

  [ Jeremy Bicha ]
  * debian/control.in:
    - Depend on default-dbus-session-bus | dbus-session-bus instead of
      dbus-x11 (Closes: #835880)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 11 Oct 2016 17:42:18 +0200

gconf (3.2.6-3ubuntu7) yakkety; urgency=medium

  * debian/control.in:
    - Depend on default-dbus-session-bus | dbus-session-bus instead of
      dbus-x11 (Closes: #835880)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 29 Sep 2016 22:39:29 -0400

gconf (3.2.6-3ubuntu6) xenial; urgency=medium

  * Fix gsettings-schema-convert pythonisms.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 27 Nov 2015 12:18:17 +0000

gconf (3.2.6-3ubuntu5) wily; urgency=medium

  * Call dh_python3 with --shebang=/usr/bin/python3. LP: #1440549.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 16 Oct 2015 16:34:16 +0200

gconf (3.2.6-3ubuntu4) wily; urgency=medium

  * update-gconf-defaults, gconf-schemas: encode and decode from UTF-8
    to avoid postinst failing when schemas contain non ascii chars.
    (LP: #1504442, #1406641)

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 14 Oct 2015 10:09:59 +0100

gconf (3.2.6-3ubuntu3) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 17:02:41 +0000

gconf (3.2.6-3ubuntu2) wily; urgency=medium

  [ Didier Roche ]
  * Convert update-gconf-defaults and gconf-schemas to python3 (LP: #1440549)
  * debian/{rules,control}: updated for python3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 10 Jun 2015 18:51:15 -0700

gconf (3.2.6-3ubuntu1) vivid; urgency=low

  * Merge with Debian unstable, remaining changes:
    + don't package the gsettings backend since it's not meant to be
      distributed
    + debian/patches/02_xml-gettext-domain.patch:
      - use gettext from schemas translations
    + debian/patches/05_nodisplay_autostart.patch:
      - Don't show in "Startup Applications"
    + debian/patches/06_onlyshowin_unity.patch:
      - Add Unity to OnlyShowIn
    + debian/70gconfd_path-on-session, debian/gconf2-common.install:
      - add additional gconf path depending on selected desktop session:
    + debian/gconf-schemas: Shrink the generated %gconf-tree.xml, by
      filtering out locale specific defaults for uninstalled locales,
      leading tabs, empty short descriptions, and mtimes (which aren't
      interesting for system-wide defaults).
    + debian/gconf2.triggers, debian/gconf2.postinst, debian/gconf2.postrm:
      - Declare a new trigger on /usr/share/GConf/gsettings to watch when
        new gsettings convert files are installed.
    + debian/default.path, debian/gconf2-common.dirs:
      - drop old compatibility path from intrepid, that was required until
        lucid
    + Split gconf-service further into gconf-service and gconf-service-backend,
      one package being Multi-Arch: foreign and the other Multi-Arch: none, so
      that we correctly handle the fact that gconf2 needs backend modules of
      the same arch whereas other reverse-dependencies just need a working
      daemon.
    + debian/patches/0001-Support-s-to-as-migrations-v2.patch: Support 's' to
      'as' migrations
    + debian/patches/call-dbus_g_thread_init.patch
      - Initialize dbus threads before doing anything. This fixes crashes in
        multithreaded applications that don't use libdbus directly.
    + debian/patches/reduce-polling.patch
      - Call the cleanup routine every minute, instead of twice per minute, to
        reduce wakeups and therefore power usage.

 -- Iain Lane <iain@orangesquash.org.uk>  Mon, 03 Nov 2014 16:26:23 +0000

gconf (3.2.6-3) unstable; urgency=medium

  * Team upload.

  [ Fernando Seiti Furusato ]
  * Use dh-autoreconf. Closes: #746690.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 26 Aug 2014 11:30:09 -0700

gconf (3.2.6-2ubuntu1) utopic; urgency=low

  * Merge with Debian unstable, remaining changes:
    + don't package the gsettings backend since it's not meant to be
      distributed
    + debian/control.in, debian/rules:
      - use dh-autoreconf
    + debian/patches/02_xml-gettext-domain.patch:
      - use gettext from schemas translations
    + debian/patches/05_nodisplay_autostart.patch:
      - Don't show in "Startup Applications"
    + debian/patches/06_onlyshowin_unity.patch:
      - Add Unity to OnlyShowIn
    + debian/70gconfd_path-on-session, debian/gconf2-common.install:
      - add additional gconf path depending on selected desktop session:
    + debian/gconf-schemas: Shrink the generated %gconf-tree.xml, by
      filtering out locale specific defaults for uninstalled locales,
      leading tabs, empty short descriptions, and mtimes (which aren't
      interesting for system-wide defaults).
    + debian/gconf2.triggers, debian/gconf2.postinst, debian/gconf2.postrm:
      - Declare a new trigger on /usr/share/GConf/gsettings to watch when
        new gsettings convert files are installed.
    + debian/default.path, debian/gconf2-common.dirs:
      - drop old compatibility path from intrepid, that was required until
        lucid
    + Split gconf-service further into gconf-service and gconf-service-backend,
      one package being Multi-Arch: foreign and the other Multi-Arch: none, so
      that we correctly handle the fact that gconf2 needs backend modules of
      the same arch whereas other reverse-dependencies just need a working
      daemon.
    + debian/patches/0001-Support-s-to-as-migrations-v2.patch: Support 's' to
      'as' migrations
    + debian/patches/call-dbus_g_thread_init.patch
      - Initialize dbus threads before doing anything. This fixes crashes in
        multithreaded applications that don't use libdbus directly.
    + debian/patches/reduce-polling.patch
      - Call the cleanup routine every minute, instead of twice per minute, to
        reduce wakeups and therefore power usage.

 -- Iain Lane <iain.lane@canonical.com>  Mon, 28 Apr 2014 13:45:43 +0100

gconf (3.2.6-2) unstable; urgency=low

  * gconf-schemas: hide error messages caused by DBus, they are 
    harmless.
    Closes: #711597, #711339.
  * Remove gconftool alternative, replace it by proper symlinks.
    Closes: #718277.

 -- Josselin Mouette <joss@debian.org>  Sun, 09 Mar 2014 22:03:52 +0100

gconf (3.2.6-1) unstable; urgency=low

  [ Martin Pitt ]
  * Add a simple compile/link/run autopkgtest for libgconf2-dev. Thanks Rafał
    Cieślak! (LP: #1078719)
  * debian/tests/build:
    - Add -Wall -Werror for being more thorough.
    - Don't call deprecated g_type_init() when building with glib >= 2.35.

  [ Michael Biebl ]
  * New upstream release.
    - Fixes use after free in gconf-dbus. Closes: #699424
  * Remove 04_manpage.patch, merged upstream. Refresh other patches.
  * Add symbols file for libgconf-2-4.
  * Bump Standards-Version to 3.9.4. No further changes.

 -- Michael Biebl <biebl@debian.org>  Thu, 06 Jun 2013 03:29:17 +0200

gconf (3.2.6-0ubuntu2) trusty; urgency=low

  [ Sebastien Bacher ]
  * debian/70gconfd_path-on-session: typo fix additionnal -> additional
    (lp: #1160073)

  [ Iain Lane ]
  * Call the cleanup routine every minute, instead of twice per minute, to
    reduce wakeups and therefore power usage. Thanks Colin King. (LP:
    #1292021)

 -- Iain Lane <iain.lane@canonical.com>  Wed, 26 Mar 2014 16:55:52 +0000

gconf (3.2.6-0ubuntu1) raring; urgency=low

  * New upstream version
    - gsettings-schema-convert: Fix conversion of empty lists
  * debian/patches/06_onlyshowin_unity.patch:
    - dropped, the fix is in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 23 Jan 2013 11:28:05 +0100

gconf (3.2.5-2) unstable; urgency=low

  * Break libgconf2.0-cil < 2.24.2-3. Closes: #694340.

 -- Josselin Mouette <joss@debian.org>  Wed, 13 Mar 2013 10:56:19 +0100

gconf (3.2.5-1) unstable; urgency=low

  * New upstream release.
  * Bump Build-Depends on cdbs and debhelper for multiarch support.
  * Bump Build-Depends on libglib2.0-dev to (>= 2.31.0).
  * Drop explicit Build-Depends on gir1.2-glib-2.0.
  * Refresh patches.
  * Bump Standards-Version to 3.9.3.

 -- Michael Biebl <biebl@debian.org>  Sat, 28 Apr 2012 01:17:36 +0200

gconf (3.2.5-0ubuntu6) raring; urgency=low

  * debian/tests/build:
    - Add -Wall -Werror for being more thorough.
    - Don't call deprecated g_type_init() when building with glib >= 2.35.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 16 Jan 2013 13:26:58 +0100

gconf (3.2.5-0ubuntu5) raring; urgency=low

  * Added a simple compile/link/run test for libgconf2-dev. (LP: #1078719)

 -- Rafał Cieślak <rafalcieslak256@ubuntu.com>  Thu, 15 Nov 2012 13:47:11 +0100

gconf (3.2.5-0ubuntu4) quantal; urgency=low

  * debian/patches/0001-Support-s-to-as-migrations-v2.patch:
    - Support string to string array migrations (LP: #1048956)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Wed, 12 Sep 2012 15:32:10 +0300

gconf (3.2.5-0ubuntu3) quantal; urgency=low

  * debian/patches/call-dbus_g_thread_init.patch:
    - Initialize dbus threads before doing anything. This fixes crashes in
      multithreaded applications that don't use libdbus directly. (LP: #1048341)

 -- Chow Loong Jin <hyperair@debian.org>  Tue, 11 Sep 2012 10:12:41 +0800

gconf (3.2.5-0ubuntu2) precise; urgency=low

  * Split gconf-service further into gconf-service and gconf-service-backend,
    one package being Multi-Arch: foreign and the other Multi-Arch: none, so
    that we correctly handle the fact that gconf2 needs backend modules of
    the same arch whereas other reverse-dependencies just need a working
    daemon.  LP: #962854.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 23 Mar 2012 14:43:19 -0700

gconf (3.2.5-0ubuntu1) precise; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 12 Mar 2012 10:42:24 +0100

gconf (3.2.4-0ubuntu2) precise; urgency=low

  * libgconf2-4 and libgconf-2-4 should both have a Breaks: against the
    older version of gconf2, to ensure that our trigger is never called
    when gconftool is in an unusable state (due to either missing libraries
    or missing backend DSOs).  LP: #948294.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 08 Mar 2012 17:40:24 -0800

gconf (3.2.4-0ubuntu1) precise; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 08 Mar 2012 21:38:45 +0100

gconf (3.2.3-4) unstable; urgency=medium

  * Let libgconf2-4 and libgconf-2-4 break gconf2 << 3.2.3-2 to avoid 
    triggering gconf2 while in an inconsistent state. Thanks a lot to 
    Steve Langasek for the analysis. Closes: #663167.

 -- Josselin Mouette <joss@debian.org>  Sat, 17 Mar 2012 17:23:46 +0100

gconf (3.2.3-3ubuntu1) precise; urgency=low

  * Merge from Debian testing, remaining changes:
    - debian/control.in:
      + don't package the gsettings backend since it's not meant to be
        distributed
    - debian/control.in, debian/rules:
      + use dh-autoreconf
    - debian/patches/02_xml-gettext-domain.patch:
      + use gettext from schemas translations
    - debian/patches/05_nodisplay_autostart.patch:
      + Don't show in "Startup Applications"
    - debian/patches/06_onlyshowin_unity.patch:
      + Add Unity to OnlyShowIn
    - debian/70gconfd_path-on-session, debian/gconf2-common.install:
      + add additional gconf path depending on selected desktop session:
    - debian/gconf-schemas: Shrink the generated %gconf-tree.xml, by
      filtering out locale specific defaults for uninstalled locales,
      leading tabs, empty short descriptions, and mtimes (which aren't
      interesting for system-wide defaults).
    - debian/gconf2.triggers, debian/gconf2.postinst, debian/gconf2.postrm:
      + Declare a new trigger on /usr/share/GConf/gsettings to watch when
        new gsettings convert files are installed.
    - debian/default.path, debian/gconf2-common.dirs:
      + drop old compatibility path from intrepid, that was required until
        lucid
  * Dropped changes:
    - debian/control.in: no build-dependency on gnome-common, we're using
      dh-autoreconf.
    - Build using dh_python2: merged in Debian.
    - Mark gconf2 Multi-Arch: foreign: merged in Debian.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 05 Mar 2012 15:30:01 -0800

gconf (3.2.3-3) unstable; urgency=medium

  * Let gconf2-common Breaks: libgconf2-4 (<< 3.2.3-2), to avoid partial
    upgrades (closes: #661380).

 -- Jordi Mallach <jordi@debian.org>  Sun, 26 Feb 2012 22:26:14 +0100

gconf (3.2.3-2) unstable; urgency=low

  [ Michael Biebl ]
  * debian/libgconf2-dev.install:
    - Remove libtool .la files.
  * debian/control.in:
    - Remove obsolete Conflicts and Replaces.
    - Change section of gir1.2-gconf-2.0 to introspection.
  * Rely on cdbs to call dh_girepository. Bump Build-Depends accordingly.
  * Switch to dh_python2.

  [ Laurent Bigonville ]
  * Add debian/patches/05_readd_gconf_engine_key_is_writable.patch: Add
    missing function in D-Bus variant that causes ABI breakage (Closes: #649112)

  [ Jordi Mallach ]
  * Add a NEWS entry explaining the necessity of a session restart after
    a GConf 2.32 → GConf 3.2 upgrade, due to the ORBit → D-Bus
    transition (closes: #648673).

  [ Josselin Mouette ]
  * Convert to Multi-Arch. Closes: #652861.
    + gconf2, gconf2-common, gconf-defaults-service are M-A: foreign.
    + Move the daemon to a multiarch path.
    + Tighten dependencies.
    + Remove the sanity-check binary, nothing uses it anymore.
      Closes: #649297, #645580.
    + Move the daemon and the activation file to gconf-service, a new 
      MA: foreign package.
    + Add appropriate Breaks/Replaces for the activation file.
    + Rename libgconf2-4 to libgconf-2-4, make it MA: same.
    + Make the shlibs add both libgconf-2-4 and gconf-service.
    + Make libgconf2-4 a dummy MA: same package depending on both too.
    + gconf-gsettings-backend is MA: same.
    + Move dbus dependency to gconf-service, make it dbus-x11.
  * Move the API documentation to libgconf2-doc.
  * Get rid of the symlink for documentation.
  * Remove unused gnome-version.mk.
  * gconf-schemas, update-gconf-defaults: don’t purge the environment 
    entirely. Closes: #636083.

 -- Josselin Mouette <joss@debian.org>  Thu, 23 Feb 2012 21:56:45 +0100

gconf (3.2.3-1ubuntu3) precise; urgency=low

  * Mark gconf2 Multi-Arch: foreign

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 20 Dec 2011 15:16:12 -0800

gconf (3.2.3-1ubuntu2) precise; urgency=low

  * Build using dh_python2

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Dec 2011 11:52:49 +0000

gconf (3.2.3-1ubuntu1) precise; urgency=low

  * Resynchronize on Debian
  * debian/control.in:
    don't package the gsettings backend since it's not meant to be distributed
  * debian/default.path,
    debian/gconf2-common.dirs:
    - drop old compatibility path from intrepid, that was required until lucid

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 22 Nov 2011 19:26:42 +0100

gconf (3.2.3-1) unstable; urgency=low

  [ Jeremy Bicha ]
  * New upstream release
  * debian/control.in:
    - Use GTK 3
    - Drop orbit dependency
    - Updated Vcs-Browser link
  * debian/copyright: Fixed lintian warning
  * debian/rules:
    - Explicity disable orbit
  * debian/watch: Switch to .xz tarballs
  * 02_fix_wrong_return_value.patch: Updated

  [ Josselin Mouette ]
  * Split the GSettings backend into a gconf-gsettings-backend package 
    that provides gsettings-backend. Closes: #633442.
  * New upstream release.

 -- Josselin Mouette <joss@debian.org>  Sat, 12 Nov 2011 14:17:51 +0100

gconf (3.2.3-0ubuntu1) precise; urgency=low

  * New upstream release.
    - Fixes gconf crasher regression in 3.2.2 (LP: #882525)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 01 Nov 2011 08:48:09 -0400

gconf (3.2.2-0ubuntu1) oneiric-proposed; urgency=low

  * New upstream release.
    - Fixes gconf errors affecting GNOME Shell & Evolution, especially
      seen after a system upgrade (LP: #848198)
    - Build fix for -Werror=format-securiy
    - Avoid crash when there is no reply to messages in
      gconf_engine_notify_remove
    - Clean-up ORBit vs DBus logic
  * debian/watch: Removed extra \d

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 26 Oct 2011 18:51:13 -0400

gconf (3.2.0-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - updated translations

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 26 Sep 2011 18:10:25 +0200

gconf (3.1.92-0ubuntu1) oneiric; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 19 Sep 2011 21:23:54 +0200

gconf (3.1.90-0ubuntu1) oneiric; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 06 Sep 2011 11:41:46 +0200

gconf (3.1.6-0ubuntu1) oneiric; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 16 Aug 2011 12:12:23 +0200

gconf (3.1.4-0ubuntu1) oneiric; urgency=low

  * New upstream version, clean patches included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 26 Jul 2011 15:18:05 +0200

gconf (3.1.3-0ubuntu2) oneiric; urgency=low

  * Add 00git_gsettings-data-convert_g_type_init.patch: Fix crash at startup
    in gsettings-data-convert. Also committed to upstream git. (LP: #810795)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 18 Jul 2011 10:04:56 +0200

gconf (3.1.3-0ubuntu1) oneiric; urgency=low

  * New upstream release (v3.1.3)
  * Build with --disable-orbit
    - update debian/rules
  * Drop liborbit2-dev dependencies
    - update debian/control
  * Refresh patches:
    - update debian/patches/02_fix_wrong_return_value.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 13 Jul 2011 17:13:23 +0100

gconf (2.32.4-1ubuntu3) oneiric; urgency=low

  * debian/70gconfd_path-on-session:
    - depends on DESKTOP_SESSION now

 -- Didier Roche <didrocks@ubuntu.com>  Wed, 06 Jul 2011 12:17:39 +0200

gconf (2.32.4-1ubuntu2) oneiric; urgency=low


 -- Michael Terry <mterry@ubuntu.com>  Fri, 01 Jul 2011 11:18:52 +0100

gconf (2.32.4-1ubuntu1) oneiric; urgency=low

  * Rebase on the current Debian revision.
  * debian/control.in, debian/rules: build with GTK3

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 20 Jun 2011 15:34:28 +0200

gconf (2.32.4-1) unstable; urgency=low

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 16 Jun 2011 17:45:14 +0200

gconf (2.32.3-2) unstable; urgency=low

  * debian/watch: Switch to .bz2 tarballs.
  * Bump debhelper compatibility level to 8.
    - Bump Build-Depends on debhelper.
    - Strip leading debian/tmp/ from .install files.
  * Bump Standards-Version to 3.9.2. No further changes.
  * Update package description. Fix spelling error "allows to" found by
    lintian.
  * Drop Build-Depends on dpkg-dev (>= 1.13.19). Even lenny has a more recent
    version.
  * Upload to unstable, drop check-dist include.

 -- Michael Biebl <biebl@debian.org>  Fri, 03 Jun 2011 22:08:15 +0200

gconf (2.32.3-1) experimental; urgency=low

  [ Josselin Mouette ]
  * Make the -dev package depend on the gir package.

  [ Sebastien Bacher ]
  * New upstream version
  * debian/control.in: updated Standards-Version
  * debian/patches/01_defaults_path.patch: new version update

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 18 May 2011 13:23:03 +0200

gconf (2.32.3-0ubuntu1) oneiric; urgency=low

  * New upstream version

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 17 May 2011 16:40:26 +0200

gconf (2.32.2-0ubuntu1) natty; urgency=low

  * New upstream version:
    Fixes
    - default GConf path includes hard-coded reference to /etc/gconf
    - Please make gsettings-data-convert.desktop translatable

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 05 Apr 2011 19:05:46 +0200

gconf (2.32.1-2ubuntu2) natty; urgency=low

  * debian/gconf2.triggers, debian/gconf2.postinst, debian/gconf2.postrm:
    - Declare a new trigger on /usr/share/GConf/gsettings to watch when
      new gsettings convert files are installed.  When a new one is
      installed, we notify that a reboot is required, to pick it up on
      next user login.

 -- Michael Terry <mterry@ubuntu.com>  Thu, 06 Jan 2011 14:10:22 -0500

gconf (2.32.1-2ubuntu1) natty; urgency=low

  * Resynchronize on Debian

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 06 Jan 2011 16:09:08 +0100

gconf (2.32.1-2) experimental; urgency=low

  * debian/po-up/*:
    + Removed, the patch has been merged upstream so there's nothing
      to translate.
  * debian/rules:
    + Remove patch-translations.mk.
  * Update to the new gir policy:
    - Rename gir1.0-gconf-2.0 to gir1.2-gconf-2.0.
    - Bump the gobject-introspection build dependency.
    - Build depend on gir1.2 packages.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 12 Dec 2010 15:59:47 +0100

gconf (2.32.1-1ubuntu2) natty; urgency=low

  * Updated for the gir abi transition

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 16 Dec 2010 15:31:56 +0100

gconf (2.32.1-1ubuntu1) natty; urgency=low

  * Resync on Debian

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 07 Dec 2010 16:48:49 +0100

gconf (2.32.1-1) experimental; urgency=low

  [ Josselin Mouette ]
  * Include patch-translations.mk, bump build-depends accordingly.
  * Include 03_error_message.patch in POTFILES.in.
  * pt_BR.po: Brazilian Portuguese translation. Closes: #599032.
  * fr.po: French translation by Christian Perrier. Closes: #599049.
  * da.po: Danish translation by Joe Hansen. Closes: #599125.
  * cs.po: Czech translation by Michal Simunek. Closes: #599198.
  * update-gconf-defaults: patch from Ubuntu to deal with broken 
    symlinks. Closes: #599393. Thanks Michael Vogt.
  * de.po: German translation by Helge Kreutzmann. Closes: #599683.
  * sv.po: Swedish translation by Martin Bagge. Closes: #599854.
  * 04_manpage.patch: patch from A. Costa. Fixes typos in the manual 
    page. Closes: #600899.

  [ Sjoerd Simons ]
  * New upstream release
  * Bump gobject-introspection to the lastest version to generate the most
    recent .gir version
  * debian/patches/03_error_message.patch
    + Removed, merged upstream
  * debian/rules:
    + Specify compilation with gtk2

  [ Emilio Pozuelo Monfort ]
  * Switch to source format 3.0 (quilt).
  * debian/patches/*:
    - Updated to apply cleanly.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 06 Dec 2010 00:53:14 +0100

gconf (2.31.5-1) experimental; urgency=low

  [ Josselin Mouette ]
  * Patch from Ubuntu - thanks to Sébastien Bacher. Closes: #587786.
    * debian/control.in:
      - list a new gir1.0-gconf-2.0 binary
      - libgconf2-dev replaces gir-repository-dev
    * debian/gir1.0-gconf-2.0.install,
      debian/libgconf2-dev.install:
      - install the gir and typelib
    * debian/rules:
      - use dh_girepository
  * Fix description for the GIR package.

  [ Sjoerd Simons ]
  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 03 Jul 2010 15:36:20 +0100

gconf (2.32.1-0ubuntu1) natty; urgency=low

  * New upstream version:
    Features
    - Allow building against GTK+ 3
    Fixes
    - Make gsettings-data-convert deal better with enums and flags
    - Remove an obsolete error message
    Translation updates
  * debian/patches/03_error_message.patch:
    - dropped, the fix is in the new version
  * debian/rules:
    - use --with-gtk=2.0

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 10 Nov 2010 15:30:40 +0100

gconf (2.32.0-0ubuntu1) natty; urgency=low

  * New upstream version:
    Fixes
    * Make ref() function return the passed object (#629984)
    Translation updates
  * debian/control.in: 
    - updated the gir requirement

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 15 Oct 2010 11:03:24 +0200

gconf (2.31.91-0ubuntu3.1) maverick-proposed; urgency=low

  * debian/update-gconf-defaults:
    - check if a file exists before trying to read it, otherwise
      it crashes on broken symlinks (LP: #633370)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 07 Oct 2010 12:02:13 +0200

gconf (2.31.91-0ubuntu3) maverick; urgency=low

  * debian/control.in: libgconf2-dev depends on libdbus-1-dev

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 06 Sep 2010 17:19:46 +0200

gconf (2.31.91-0ubuntu2) maverick; urgency=low

  * debian/control:
    - Add build-depends on libdbus-1-dev, libdbus-glib-1-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 06 Sep 2010 15:26:41 +1000

gconf (2.31.91-0ubuntu1) maverick; urgency=low

  * New upstream release
  * debian/control:
    - Drop build-depends on libdbus-1-dev, libdbus-glib-1-dev

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 01 Sep 2010 18:47:35 +1000

gconf (2.31.7-0ubuntu3) maverick; urgency=low

  * Rebuild with the new gobject introspection

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Aug 2010 21:27:53 +0200

gconf (2.31.7-0ubuntu2) maverick; urgency=low

  * debian/control:
    - Bump libglib2.0-dev build-depend

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 06 Aug 2010 15:07:28 +1000

gconf (2.31.7-0ubuntu1) maverick; urgency=low

  * New upstream release
    - gsettings-data-convert: Realloc the correct amount of memory
    - configure: disable the defaults service if PolicyKit is not available
    - Update GSettings backend to follow API changes
  * debian/control:
    - Use Standards-Version 3.9.1

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 06 Aug 2010 14:03:18 +1000

gconf (2.31.6-0ubuntu1) maverick; urgency=low

  * New upstream version:
    Features
    - gsettings-schema-convert: always add gettext domain 
    - gsettings-schema-convert: convert 0/1 to false/true 
    - gsettings-schema-convert: convert underscores to dashes 
    - gsettings-scheme-convert: convert to xml by default 
    Fixes
    - gsettings-schema-convert: fix crash when lxml is missing 
    - gsettings-schema-convert: don't crash on unknown types 
    - gsettings-schema-convert: accept GConf schemas without defaults 
    - gsettings-schema-convert: fix --help error 
  * debian/control.in,
    debian/rules:
    - use dh-autoreconf there

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 13 Jul 2010 15:16:50 +0200

gconf (2.31.5-0ubuntu3) maverick; urgency=low

  * debian/control.in: build-depends on gir1.0-glib-2.0

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 01 Jul 2010 19:59:44 +0200

gconf (2.31.5-0ubuntu2) maverick; urgency=low

  * debian/control.in:
    - list a new gir1.0-gconf-2.0 binary
    - libgconf2-dev replaces gir-repository-dev
  * debian/gir1.0-gconf-2.0.install,
    debian/libgconf2-dev.install:
    - install the gir and typelib
  * debian/rules:
    - use dh_girepository

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 01 Jul 2010 17:59:51 +0200

gconf (2.31.5-0ubuntu1) maverick; urgency=low

  * New upstream version
    Features
    - Add gsettings-schema-convert (used to be part of GLib)
    Fixes
    - Make the :path in groups optional again
  * Resync on Debian and ship gsettings schemas utilities
  * debian/libgconf2-4.install:
    - don't distribute the gsettings backend following upstream recommendation

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 01 Jul 2010 13:17:52 +0200

gconf (2.31.4-1) experimental; urgency=low

  [ Josselin Mouette ]
  * 03_error_message.patch: new patch. Replace the error message by
    something more accurate nowadays. Closes: #582839.

  [ Sebastian Dröge ]
  * New upstream development release:
    + debian/control.in:
      - Update GLib build dependency to >= 2.25.9.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 19 Jun 2010 08:07:51 +0200

gconf (2.31.3-1) experimental; urgency=low

  * New upstream development release:
    + debian/gconf2.install:
      - Add autostart file for GSettings.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 25 May 2010 11:56:39 +0200

gconf (2.31.2-1) experimental; urgency=low

  * New upstream development release.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 23 Apr 2010 12:59:31 +0200

gconf (2.31.1-1) experimental; urgency=low

  * New upstream development release:
    + debian/control.in:
      - Update build-dependencies and dependencies.
    + debian/libgconf2.install:
      - Add GSettings backend module.
    + debian/rules:
      - Update shlibs version to >= 2.31.1 because of new API.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 21 Apr 2010 09:04:14 +0200

gconf (2.31.4-0ubuntu1) maverick; urgency=low

  * New upstream version
  * debian/control.in:
    - updated the libglib required to 2.25.9

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 22 Jun 2010 14:15:45 +0200

gconf (2.31.3-0ubuntu1) maverick; urgency=low

  * New upstream release
  * debian/control.in:
    - Build-depend on gnome-common for autoreconf
    - Build-depend on gobject-introspection
  * debian/rules:
    - Disable GSettings backend
    - Run autoreconf on build
  * debian/patches/70_autotools.patch:
    - Obsolve as now run autoreconf on build
  * debian/watch:
    - Watch for unstable versions

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 25 May 2010 14:08:19 +1000

gconf (2.28.1-6) unstable; urgency=low

  * de.po: German translation by Helge Kreutzmann. Closes: #599683.
  * sv.po: Swedish translation by Martin Bagge. Closes: #599854.
  * 04_manpage.patch: patch from A. Costa. Fixes typos in the manual 
    page. Closes: #600899.

 -- Josselin Mouette <joss@debian.org>  Sat, 06 Nov 2010 20:40:24 +0100

gconf (2.28.1-5) unstable; urgency=low

  * Include patch-translations.mk, bump build-depends accordingly.
  * Include 03_error_message.patch in POTFILES.in.
  * pt_BR.po: Brazilian Portuguese translation. Closes: #599032.
  * fr.po: French translation by Christian Perrier. Closes: #599049.
  * da.po: Danish translation by Joe Hansen. Closes: #599125.
  * cs.po: Czech translation by Michal Simunek. Closes: #599198.
  * update-gconf-defaults: patch from Ubuntu to deal with broken 
    symlinks. Closes: #599393. Thanks Michael Vogt.

 -- Josselin Mouette <joss@debian.org>  Sat, 09 Oct 2010 09:59:07 +0200

gconf (2.28.1-4) unstable; urgency=low

  * 03_error_message.patch: new patch. Replace the error message by
    something more accurate nowadays. Closes: #582839.

 -- Josselin Mouette <joss@debian.org>  Sat, 18 Sep 2010 13:48:11 +0200

gconf (2.28.1-3ubuntu1) maverick; urgency=low

  * Resycn on Debian
  * debian/default.path: 
    - Add /etc/gconf/gconf.xml.system to the search path,
      which is were 8.10 kept some system wide gconf settings. This is
      deprecated, but required for backwards compatibility.
  * debian/gconf2-common.dirs:
     - Add /etc/gconf/gconf.xml.system.  Since we reference it in default.path, 
       we ought to create it
  * debian/70gconfd_path-on-session:
    - add additionnal gconf path depending on selected desktop session:
  * debian/gconf2-common.install:
    list 70gconfd_path-on-session there
  * debian/gconf-schemas: Shrink the generated %gconf-tree.xml, by filtering
    out locale specific defaults for uninstalled locales, leading tabs, empty
    short descriptions, and mtimes (which aren't interesting for system wide
    defaults).
  * debian/patches/02_xml-gettext-domain.patch,
    debian/patches/70_relibtoolize.patch:
    - use gettext from schemas translations
  * debian/watch:
    - watch unstable versions

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 17 May 2010 21:21:47 +0200

gconf (2.28.1-3) unstable; urgency=low

  * gconf-schemas: don’t error out if there are no schemas to install. 
    Closes: #577142.

 -- Josselin Mouette <joss@debian.org>  Sat, 10 Apr 2010 09:55:19 +0200

gconf (2.28.1-2) unstable; urgency=low

  * So, it seems that parsing XML is so slow that regenerating the 
    database entirely is faster than unregistering a schema and 
    registering it again. Which means moving to triggers is a big 
    performance improvement.
  * update-gconf-defaults, gconf-schemas: do nothing when called from 
    dpkg, except from gconf2.postinst itself.
  * gconf2.triggers: register the /usr/share/gconf/* directories.
  * gconf2.postinst: regenerate the databases depending on the triggers 
    called.
  * gconf2-common.dirs: ship an empty /usr/share/gconf/schemas, just in 
    case.

 -- Josselin Mouette <joss@debian.org>  Fri, 09 Apr 2010 19:35:08 +0200

gconf (2.28.1-1) unstable; urgency=low

  [ David Weinehall ]
  * New upstream release.
    + debian/patches/01_defaults_path.patch,
      02_fix_wrong_return_value.patch,
      25_gconf-path-max-hurd.patch:
      - Refreshed.
  * debian/control.in:
    - Bump Standards version to 3.8.4 (No changes needed).

  [ Loïc Minier ]
  * debian/gconf2-common.install: install evoldap.schema directly in
    /usr/share/doc; this makes it easier to build a non-LDAP version of GConf.

 -- David Weinehall <tao@debian.org>  Tue, 30 Mar 2010 18:55:51 +0300

gconf (2.28.0-1) unstable; urgency=low

  [ Loïc Minier ]
  * gconf2.postinst: don't test for install as this isn't used for postinsts;
    use lt instead of lt-nl as a replacement; thanks Martin Pitt.

  [ Emilio Pozuelo Monfort ]
  * debian/patches/70_relibtoolize.patch:
    - Removed, not needed anymore since upstream uses a recent libtool.

  [ Luca Bruno ]
  * New upstream release.
  * debian/control.in:
    - Update Standards-Version to 3.8.3, no additional changes needed.
    - Remove libpolkit-dbus-dev and add libpolkit-gobject-1-dev
      build-depends.
    - Remove policykit from Build-Depends and from gconf-defaults-service.
      Closes: #549518.
    - Add misc:Depends to libgconf2-4, gconf2, libgconf2-dev and
      gconf-defaults-service.
    - Add Vcs-* fields.
  * debian/gconf-defaults-service.install:
    - Share dir changed from PolicyKit to polkit-1.
  * debian/patches/01_defaults_path.patch:
    - Update to apply cleanly.

  [ Josselin Mouette ]
  * Bump shlibs to version 2.27.0.
  * Break gconf-editor < 2.28 because of the switch to PolicyKit 1.

 -- Josselin Mouette <joss@debian.org>  Fri, 09 Oct 2009 20:28:32 +0200

gconf (2.26.2-3) unstable; urgency=low

  * update-gconf-defaults:
    + Support comments. Closes: #535569.
    + Add --only-if-changed option, which makes the script a no-op 
      if no source files are more recent than the generated 
      configuration.

 -- Josselin Mouette <joss@debian.org>  Tue, 14 Jul 2009 20:57:10 +0200

gconf (2.26.2-2) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/patches/02_fix_wrong_return_value.patch: Fix a bug that
    causes hardware-monitor to crash. Closes: #532119.

 -- Josselin Mouette <joss@debian.org>  Sun, 12 Jul 2009 15:02:45 +0200

gconf (2.26.2-1) unstable; urgency=low

  * New upstream release.
  * Switch to quilt to manage patches; build-depend on quilt.
  * 01_defaults_path.patch: new patch. Use gconf.xml.defaults for system 
    defaults instead of gconf.xml.system, since in Debian we don’t 
    pollute the original directory by applying schemas to it.
  * 70_relibtoolize.patch: regenerate for the new version, without 
    autom4te.cache in it.

 -- Josselin Mouette <joss@debian.org>  Sun, 31 May 2009 01:36:44 +0200

gconf (2.26.0-1) unstable; urgency=low

  [ Josselin Mouette ]
  * Add libglib2.0-doc to build-depends to ensure proper xrefs.
  * README.Debian: improve documentation for the file format of the 
    defaults directory. Closes: #519096.

  [ Luca Bruno ]
  * New upstream release.
  * debian/control.in:
    + Update Standards-Version to 3.8.1, no additional changes needed.
    + Update Homepage to point to the new gconf homepage.
  * debian/patches:
    + Update 70_relibtoolize.patch.

 -- Josselin Mouette <joss@debian.org>  Tue, 14 Apr 2009 20:31:48 +0200

gconf (2.24.0-7) unstable; urgency=low

  * Turn the Breaks into a Conflicts, otherwise it breaks the buildds.

 -- Josselin Mouette <joss@debian.org>  Fri, 20 Feb 2009 11:48:19 +0100

gconf (2.24.0-6) unstable; urgency=low

  * Upload to unstable.

 -- Josselin Mouette <joss@debian.org>  Wed, 18 Feb 2009 00:09:29 +0100

gconf (2.24.0-5) experimental; urgency=low

  [ Josselin Mouette ]
  * Add a Breaks against older libbonobos because gconf using dbus makes 
    #331000 occur much more often.

  [ Loic Minier ]
  * Change the postinst to explicitely install the alternative on install and
    upgrades from << 2.19.1-2.

  [ Josselin Mouette ]
  * update-gconf-defaults: ignore more backup extensions.
    Closes: #512476.
  * gconf-schemas: add a --no-signal option.
  * gconf2.postinst: improve the detection of cases when daemons need to 
    be signalled.
  * Support alternate installation paths for defaults, including setting 
    mandatory settings. Closes: #512474, #512947.
    + update-gconf-defaults: implement the --source, --destination, 
      --no-signal and --mandatory options.
    + update-gconf-defaults.8: document them.
    + default.path: add /var/lib/gconf/debian.mandatory as a mandatory 
      source.
    + gconf2-common.dirs: add new directories.
    + gconf2.postinst: run update-gconf-defaults --mandatory if needed.
    + gconf2.install: install the script to /usr/bin.
    + README.Debian: document this.

 -- Josselin Mouette <joss@debian.org>  Mon, 02 Feb 2009 14:14:55 +0100

gconf (2.24.0-4) experimental; urgency=low

  * The “let’s pass through NEW” release.
  * 70_relibtoolize.patch: relibtoolize the package to avoid the rpath 
    issue on amd64.
  * copyright: include list of copyright holders.

 -- Josselin Mouette <joss@debian.org>  Thu, 13 Nov 2008 08:41:07 +0100

gconf (2.24.0-3) experimental; urgency=low

  * Split the defaults service in a separate package, 
    gconf-defaults-service. Only this one depends on PolicyKit.

 -- Josselin Mouette <joss@debian.org>  Wed, 12 Nov 2008 21:50:50 +0100

gconf (2.24.0-2) experimental; urgency=low

  * Bump shlibs version to 2.23.2.

 -- Josselin Mouette <joss@debian.org>  Tue, 11 Nov 2008 10:44:49 +0100

gconf (2.24.0-1) experimental; urgency=low

  [ Loic Minier ]
  * Replace homepage pseudo-field in description with a real source field in
    control.

  [ Josselin Mouette ]
  * New upstream release.
    + Uses dbus session bus instead of a lockfile in /tmp. 
      Finally closes: #404743.
    + Remove 01_no_syslog_thanks.patch, merged upstream.
  * Enable PolicyKit support.
  * Massive update to (build-)dependencies.
  * Install dbus and PolicyKit files.

 -- Josselin Mouette <joss@debian.org>  Tue, 11 Nov 2008 10:02:25 +0100

gconf (2.22.0-1) unstable; urgency=low

  * New upstream stable release:
    + debian/patches/01_no_syslog_thanks.patch:
      - Updated to apply cleanly again.
    + debian/patches/02_ldap_deprecated.patch:
      - Removed, applied upstream.
  * debian/control.in:
    + Update Standards-Version to 3.7.3, no additional changes needed.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 11 Mar 2008 06:18:33 +0100

gconf (2.20.1-3) unstable; urgency=low

  [ Michael Banck ]
  * gconf-schemas: Work around hangs on kfreebsd/hurd. Thanks Samuel
    Thibault.

  [ Josselin Mouette ]
  * 02_ldap_deprecated.patch: replace deprecated LDAP functions by
    currently working ones. Closes: #463370.

 -- Josselin Mouette <joss@debian.org>  Sat, 16 Feb 2008 18:38:00 +0100

gconf (2.20.1-2) unstable; urgency=low

  * Add manual page for gconf-schemas. Closes: #449434. Thanks Patrick
    Schoenfeld.
  * gconf2.postrm: check for /var/lib/gconf before emptying it.

 -- Josselin Mouette <joss@debian.org>  Sat, 10 Nov 2007 00:25:40 +0100

gconf (2.20.1-1) unstable; urgency=low

  * Add a "--register-all" option to gconf-schemas, to rebuild the GConf
    defaults database from scratch.
  * New upstream translation and minor bugfix release.
  * Rename the source package to gconf, to remove the (finally unused!)
    GConf 1 stuff.
  * gconf2.postinst:
    + Run gconf-schemas --register-all on the first installation. This
      allows installing packages shipping gconf schemas but not
      depending on gconf2.
    + Also run update-gconf-defaults.
  * gconf2.postrm: remove the directory contents in /var/lib/gconf/*/ to 
    enforce a correct behavior in the postinst.

 -- Josselin Mouette <joss@debian.org>  Thu, 01 Nov 2007 18:47:26 +0100

gconf2 (2.20.0-1) unstable; urgency=low

  [ Sebastien Bacher ]
  * debian/gconf2.postinst, debian/gconf2.prerm:
    - don't remove the alternative on upgrade

  [ Josselin Mouette ]
  * debian/gconf2.postinst: check the version we upgrade from before
    not installing the alternative.

  [ Sebastian Dröge ]
  * New upstream release, with no API/ABI changes.
  * Upload to unstable, drop check-dist include.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 21 Sep 2007 09:30:39 +0200

gconf2 (2.19.1-1) experimental; urgency=low

  [ Josselin Mouette ]
  * gconf2-common.preinst: removed, it has been in the stable release.

  [ Loic Minier ]
  * New upstream development release; no API change.
    - Target at experimenta; include check-dist.
    - Add -z defs to LDFLAGS; build failure with this flag were fixed
      upstream.
  * Wrap build-deps and deps.
  * Cleanups.

 -- Loic Minier <lool@dooz.org>  Sat, 23 Jun 2007 22:08:06 +0200

gconf2 (2.18.0.1-3) unstable; urgency=low

  * Upload to unstable; drop check-dist include.
  * Include pointer to /usr/share/common-licenses/LGPL and fix URL in
    copyright.

 -- Loic Minier <lool@dooz.org>  Wed, 11 Apr 2007 15:46:08 +0200

gconf2 (2.18.0.1-2) experimental; urgency=low

  * 01_no_syslog_thanks.patch: stop the syslog madness (closes: #188433)
    + Use a DEBUG loglevel for things that really are debugging 
      information (thanks David Förster).
    + Remove all syslog calls and g_log custom handlers.
    + Log everything through GLib. This should end in .xsession-errors 
      anyway.

 -- Josselin Mouette <joss@debian.org>  Fri, 30 Mar 2007 00:40:42 +0200

gconf2 (2.18.0.1-1) experimental; urgency=low

  * Build-depend on python-support (>= 0.5.3) and call dh_pysupport to
    generate python:Depends instead of dh_python.
  * Build-depend on autotools-dev to permit CDBS to update config.guess and
    .sub.
  * Set LDFLAGS instead of overriding them via DEB_CONFIGURE_SCRIPT_ENV;
    build-depend on cdbs (>= 0.4.41).
  * Do not override DEB_INSTALL_DOCS_gconf2, DEB_CONFIGURE_EXTRA_FLAGS,
    DEB_DH_MAKESHLIBS_ARGS_libgconf2-4, DEB_DH_SHLIBDEPS_ARGS.
  * Drop local clean target which attempted to work around upstream make clean
    issues, but there are many many more clean issues upstream unfortunately.
  * New upstream release.
    - Drop patch 30_broken-g-stat, merged upstream.
  * Bump up Debhelper compatibility level to 5.

 -- Loic Minier <lool@dooz.org>  Tue,  6 Mar 2007 12:50:29 +0100

gconf2 (2.18.0-2) experimental; urgency=low

  * New patch, 30_broken-g-stat, only restore file permissions on the new file
    if we can retrieve the file stats of the old files; fixes gconftool not
    generating %gconf-tree.xml when missing.

 -- Loic Minier <lool@dooz.org>  Mon,  5 Mar 2007 15:16:57 +0100

gconf2 (2.18.0-1) experimental; urgency=low

  * New upstream stable release; bug fixes and cleanups.
    - Target at experimental for now.
    - Include the new check-dist Makefile to prevent accidental uploads to
      unstable; bump build-dep on gnome-pkg-tools to >= 0.10.

 -- Loic Minier <lool@dooz.org>  Sun,  4 Mar 2007 22:19:21 +0100

gconf2 (2.16.1-1) unstable; urgency=medium

  * Add a get-orig-source target to retrieve the upstream tarball.
  * New upstream stable release; bug fixes and translations.

 -- Loic Minier <lool@dooz.org>  Mon, 26 Feb 2007 20:40:25 +0100

gconf2 (2.16.0-3) unstable; urgency=low

  [ Josselin Mouette ]
  * rules: call clean-la.mk.
  * Build-depend on gnome-pkg-tools 0.7.

  [ Loic Minier ]
  * Fix gconf-schemas to not die with an OSError when gconfd processes die
    before being killed or can not be killed, for example when they belong to
    a different user.

 -- Loic Minier <lool@dooz.org>  Fri, 24 Nov 2006 14:26:38 +0100

gconf2 (2.16.0-2) unstable; urgency=low

  * Merge the final 2.14.0-5.
  * Add CDBS' utils.
  * Upload to unstable.
  * Ship sample /etc/gconf/2/evoldap.conf as a conffile as we're unlikely to
    tweak it a lot for Debian.
  * Ship the evoldap LDAP schema in /usr/share/doc/gconf2-common.
  * Drop debian/gconftool-2.1; merged upstream.
  * Add upstream programming examples to libgconf2-dev.
  * Ship upstream doc/FAQ.txt and drop our local debian/FAQ.

 -- Loic Minier <lool@dooz.org>  Thu, 19 Oct 2006 09:01:48 +0200

gconf2 (2.16.0-1) experimental; urgency=low

  * New upstream release; no API change.
    - Drop patch 20_gconftool-2-manpage-typo, merged upstream.
    - Build-depend on libxml-parser-perl.

 -- Loic Minier <lool@dooz.org>  Thu,  5 Oct 2006 15:50:05 +0200

gconf2 (2.14.0-5) unstable; urgency=medium

  [ Josselin Mouette ]
  * Require gnome-pkg-tools 0.6.
  * Use ${gnome:Version} and ${gnome:NextVersion}.
  * Include the gnome-versions.mk snippet.

  [ Loic Minier ]
  * Include the mandatory and default paths for desktop-profiles
    ($(ENV_MANDATORY_PATH) and $(ENV_DEFAULTS_PATH)); closes: #310065.
  * Build-depend on gtk-doc-tools for the devhelp file.
  * Build-depend on and libldap2-dev for the evoldap backend.

 -- Loic Minier <lool@dooz.org>  Tue, 10 Oct 2006 15:51:06 +0200

gconf2 (2.14.0-4) unstable; urgency=medium

  * Let update-gconf-defaults ignore .dpkg-tmp files in
    /usr/share/gconf/defaults, as it breaks upgrades of packages with .entries
    files.

 -- Loic Minier <lool@dooz.org>  Tue,  8 Aug 2006 12:36:41 +0200

gconf2 (2.14.0-3) unstable; urgency=low

  * update-gconf-defaults: better error handling.
    + When it isn't run as root.
    + When /usr/share/gconf/defaults is empty (closes: #381734).

 -- Josselin Mouette <joss@debian.org>  Sun,  6 Aug 2006 23:09:41 +0200

gconf2 (2.14.0-2) unstable; urgency=low

  [ Josselin Mouette ]
  * Make the package binNMU-safe.
    + Build-depend on dpkg-dev 1.13.19.
    + Use ${source:Version}.
  * Rework update-gconf-defaults to accept .entries files in
    /usr/share/gconf/defaults.
  * Standards version is 3.7.2.

  [ Loic Minier ]
  * Fix {$source:Version} versus ${source:Version}.
  * Use ${binary:Version} instead of ${Source-Version} to make package fully
    binNMU-safe
  * New patch, 20_gconftool-2-manpage-typo, to add missing newline in man
    page, thanks Remi Vanicat.
    (Closes: #372695)
  * Rename gconf_path_max patch to 25_gconf-path-max-hurd.
  * Fix watch file.

 -- Josselin Mouette <joss@debian.org>  Wed,  2 Aug 2006 23:40:47 +0200

gconf2 (2.14.0-1) unstable; urgency=low

  [ Guilherme de S. Pastore ]
  * New upstream release.
  * debian/patches/gconftool_speed.diff:
    - dropped; similar change applied upstream.

  J.H.M. Dassen (Ray):
  * [debian/control.in] Made glib build dependency explicit and versioned it
    following configure.in .

  [ Sjoerd Simons ]
  * Updated watch file

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 20 Mar 2006 11:54:58 +0100

gconf2 (2.13.5-1) experimental; urgency=low

  * New upstream release.
  * 60gconf2_merge-tree: give up on merging the user's home directory by
    default, as it can break with NFS servers, including the ones in
    Debian.
    + gconf2-common.{install,preinst}: remove the file.
    + Stop recommending zenity.
    + Document that in the README.Debian.
  * rules: update shlibs.

 -- Josselin Mouette <joss@debian.org>  Sun,  5 Mar 2006 19:15:47 +0100

gconf2 (2.12.1-12) unstable; urgency=low

  * gconftool_speed.diff: don't sync after every schema file when using 
    --makefile-[un]install-rule. This should solve the speed issue.
  * gconf-schemas: remove the hack to merge the schemas in a single 
    file, it should be unnecessary now.

 -- Josselin Mouette <joss@debian.org>  Fri,  3 Mar 2006 14:53:31 +0100

gconf2 (2.12.1-11) unstable; urgency=low

  * debian/gconf-schemas:
    - patch by Gabor Burjan <buga@jabber.hu> slightly modified, fix the case
      where there is no gconfd-2 running

 -- Sebastien Bacher <seb128@debian.org>  Thu,  2 Mar 2006 17:41:03 +0100

gconf2 (2.12.1-10) unstable; urgency=low

  [ Josselin Mouette ]

  * gconf-schemas: 
    + Complete rewrite, in python. 
    + Now run gconftool only once, for better performance (closes: #353986).
    + Improve performance even further by merging files when there are
      several ones.  

 -- Sebastien Bacher <seb128@debian.org>  Thu,  2 Mar 2006 13:47:48 +0100

gconf2 (2.12.1-9) unstable; urgency=high

  * The "it's good to parse options, it's better to use them" release.
  * gconf-schemas: really uninstall the defaults (closes: #352071).

 -- Josselin Mouette <joss@debian.org>  Thu,  9 Feb 2006 17:56:51 +0100

gconf2 (2.12.1-8) unstable; urgency=low

  * update-gconf-defaults.8: documentation for update-gconf-defaults.
  * gconf2.manpages: ship it.

 -- Josselin Mouette <joss@debian.org>  Sun,  8 Jan 2006 11:20:11 +0100

gconf2 (2.12.1-7) unstable; urgency=low

  * rules: Pass --as-needed to ld, so that gconf-sanity-check doesn't 
    get linked with an overly long list of dependencies
    (closes: #346375).

 -- Josselin Mouette <joss@debian.org>  Sat,  7 Jan 2006 15:14:22 +0100

gconf2 (2.12.1-6) unstable; urgency=low

  * Upload to unstable.

 -- Josselin Mouette <joss@debian.org>  Thu,  5 Jan 2006 07:59:03 +0100

gconf2 (2.12.1-5) experimental; urgency=low

  * 60gconf2_merge-tree: if zenity is installed, ask for confirmation
    upon login before migrating the gconf tree to %gconf-tree.xml.
  * control.in: recommend zenity.
  * README.Debian: time to document all the Debian specifities GConf now
    has.
  * rules: libgconfbackend has moved to libgconf2-4, reflect this for 
    dh_makeshlibs.

 -- Josselin Mouette <joss@debian.org>  Thu, 15 Dec 2005 23:49:03 +0100

gconf2 (2.12.1-4) experimental; urgency=high

  * Quote directory and file variables to permit spaces and to compare strings
    when they could be empty. (Closes: #339425)
    [debian/gconf2.postinst, debian/libgconf2-dev.postinst]

 -- Loic Minier <lool@dooz.org>  Wed, 16 Nov 2005 09:27:26 +0100

gconf2 (2.12.1-3) experimental; urgency=low

  * control.in: really build-depend on python (closes: #338957).

 -- Josselin Mouette <joss@debian.org>  Tue, 15 Nov 2005 11:03:15 +0100

gconf2 (2.12.1-2) experimental; urgency=low

  * debian/control.in:
    - drop version of the build-dependency on libgtk2.0-dev
    - fix FTBFS by build-depending on python (Closes: #338957)

 -- Guilherme de S. Pastore <guilherme.pastore@terra.com.br>  Mon, 14 Nov 2005 00:57:45 -0200

gconf2 (2.12.1-1) experimental; urgency=low

  * New upstream release.
  * gconf2-common.postrm: check for /etc/gconf/2 before removing it
    (closes: #335941).
  * Merge the gconf directory trees for better performance:
    + 60gconf2_merge-tree: new session startup script. This script
      forces the rebuild of ~/.gconf.
    + gconf2-common.install: install this script in /etc/X11/Xsession.d.
    +  control.in: depend on psmisc (for killall).
    + gconf2.postinst: run gconf-merge-tree on /var/lib/gconf/defaults
      if necessary.
    + gconf2-common.postrm: entirely purge /var/lib/gconf,
      /etc/gconf.xml.defaults and /etc/gconf.xml.mandatory.
    + gconf2-common.postinst: the chmod-fixes aren't necessary anymore.
  * uupdate: removed, unused.
  * Provide a framework to easily set up defaults in Debian packages
    (closes: #329340).
    + update-gconf-defaults: new script, takes defaults in a specific format
      in /usr/share/gconf/defaults and generates a gconf tree in
      /var/lib/gconf/debian.defaults.
    + gconf2.install: install it.
    + control.in: depend on python for its execution.
    + rules: run dh_python.
    + gconf2-common.dirs: create /var/lib/gconf/debian.defaults and
      /usr/share/gconf/defaults, and remove the unused directories
      in /usr/share/gconf.
    + default.path: remove references to the /usr/share directories, and
      reference the brand new /var/lib/gconf/debian.defaults instead.
  * Settle for World domination.

 -- Josselin Mouette <joss@debian.org>  Sun, 13 Nov 2005 23:05:39 +0100

gconf2 (2.12.0-4) experimental; urgency=low

  * Forward some changes in the unstable packages:
   * debian/gconf2-common.dirs:
     - list "/etc/gconf/2".
   * Make the new gconf2 package conflict with the old libgconf2-4
     package, to avoid the case where there is no gconfd-2 binary
     installed at all.
  * watch: update to 2.12.
  * load_empty_dirs.diff: removed, I finally have other projects to 
    support changing the default values.

 -- Josselin Mouette <joss@debian.org>  Sun, 25 Sep 2005 21:33:54 +0200

gconf2 (2.12.0-3) experimental; urgency=low

  * gconf2-common.postinst: fix permissions that seem to be set wrong in
    some cases.
  * load_empty_dirs.diff: load directories even when they are empty. 
    This should be better for distribution of defaults in Debian 
    packages.

 -- Josselin Mouette <joss@debian.org>  Wed, 21 Sep 2005 20:12:16 +0200

gconf2 (2.12.0-2) experimental; urgency=low

  * Remove circular dependency between libgconf2-4 and gconf2
    (closes: #316403).
    + move libexecdir to /usr/lib/libgconf2-4,
    + new package: gconf2-common,
    + move the defaults directories to gconf2-common,
    + move the documentation to libgconf2-dev,
    + move the configuration file to gconf2-common and handle it with ucf,
    + move locale and SGML stuff to gconf2-common.
  * Rewrite the package descriptions.

 -- Josselin Mouette <joss@debian.org>  Sun, 18 Sep 2005 13:22:59 +0200

gconf2 (2.12.0-1) experimental; urgency=low

  * New upstream release.
  * rules: bump shlibs version.
  * gconf2.postinst: remove bashism.

 -- Josselin Mouette <joss@debian.org>  Wed, 14 Sep 2005 22:40:23 +0200

gconf2 (2.10.1-2) unstable; urgency=low

  * gconf2.postinst: install the manpage as a slave alternative
    (closes: #314999).
  * gconf2.{install,links}: install documentation to /usr/share/doc
    (closes: #272226).
    + rules: don't compress these files.
    + gconf2.postinst: make the symlink by hand for the transition.
  * rules,control.in: only recommend libgtk2.0-0, for gconf-sanity-check
    (closes: #267304).
  * Customize the default path file, which now:
      - allows to set defaults or mandatory settings in packages;
      - sets a place for autogenerated defaults in /var/lib;
      - reads user customization files for Sabayon.
    (closes: #310065).
    + path: the new file.
    + gconf2.install: install it in place of the other one.
    + gconf2.dirs: create the corresponding directories.
  * gconf-schemas: new script, to be used by dh_gconf.
    + gconf2.install: install it.
  * copyright: update FSF address.
  * control.in: bump debhelper dependency to 4.1.
  * gconf.devhelp: removed, unused.
  * postinst,prerm: renamed to gconf2.{postinst,prerm}.

 -- Josselin Mouette <joss@debian.org>  Thu,  8 Sep 2005 01:12:45 +0200

gconf2 (2.10.1-1) unstable; urgency=low

  * New upstream release.
    + gconfd now exits when unused (closes: #311252).
  * gconfd_notify_other_listeners.diff: removed, integrated upstream.
  * Set myself as maintainer.
  * Standards-version is 3.6.2.

 -- Josselin Mouette <joss@debian.org>  Wed, 13 Jul 2005 00:55:47 +0200

gconf2 (2.10.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Josselin Mouette <joss@debian.org>  Tue,  7 Jun 2005 20:28:17 +0200

gconf2 (2.10.0-1) experimental; urgency=low

  * New upstream release.
  * Replaces the .files with .install files.
  * debian/compat:
    - added.
  * debian/gconf2.lintian, debian/libgconf.lintian:
    - removed
  * debian/FAQ:
    - removed iso8859 characters.
  * debian/control.in:
    - removed packages need for the doc building from Build-Depends since we
      don't build it anymore, changed dbs with cdbs.
    - added the homepage to descriptions.
  * debian/patches/01_default_locale.patch:
    - removed, the changes are in the new version.
  * debian/rules:
    - switched to CDBS.
    - turned the doc building off since the html files are provided upstream.
  * debian/watch:
    - updated.

 -- Sebastien Bacher <seb128@debian.org>  Thu, 24 Mar 2005 00:53:21 +0100

gconf2 (2.8.1-4) unstable; urgency=low

  * debian/patches/01_default_locale.patch:
    - fix the problem with default values missing in some locales.
  * debian/patches/gconf_path_max.diff:
    - patch by Michael Banck <mbanck@debian.org> to build on hurd.

 -- Sebastien Bacher <seb128@debian.org>  Sun, 21 Nov 2004 18:25:39 +0100

gconf2 (2.8.1-3) unstable; urgency=low

  * gconfd_notify_other_listeners.diff: fix null-pointer free that caused
    crashes of gconfd in some cases.
  * Removed build-depend on libdb3-dev (closes: #282325).

 -- Josselin Mouette <joss@debian.org>  Sun, 21 Nov 2004 14:01:09 +0100

gconf2 (2.8.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Sebastien Bacher <seb128@debian.org>  Wed, 17 Nov 2004 21:23:26 +0100

gconf2 (2.8.1-1) experimental; urgency=low

  * New upstream release.
  * [debian/watch] Updated.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 12 Oct 2004 19:53:53 +0200

gconf2 (2.8.0-1) experimental; urgency=low

  * New upstream release.
  * [debian/control.in] Removed gtk-doc-tools, docbook-xml build dependencies;
    we just use the HTML docs from the upstream tarball.
    Added explicit autoconf, autotools-dev build dependencies.
  * [debian/rules] configure --disable-gtk-doc .

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 14 Sep 2004 18:56:58 +0200

gconf2 (2.7.92-1) experimental; urgency=low

  * New upstream development release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Mon, 30 Aug 2004 14:22:59 +0200

gconf2 (2.7.91.1-1) experimental; urgency=low

  * New upstream development release.

 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Fri, 20 Aug 2004 18:12:41 +0200

gconf2 (2.7.91-1) experimental; urgency=low

  * New upstream development release.
  * [debian/control.in] Moved the devel package to the `libdevel' section.
  
 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Tue, 17 Aug 2004 19:59:12 +0200

gconf2 (2.7.90-1) experimental; urgency=low

  * New upstream development release.
  * [debian/rules] Ensure at build time all symbols are resolvable; make the
    linker work a bit harder so dynamic loading can be done faster.
  * [patches/gnu_os_maxpathlen_fix.diff] Disabled as it no longer applies
    cleanly.
  * [debian/shlibs.local] Bumped just in case.
  
 -- J.H.M. Dassen (Ray) <jdassen@debian.org>  Sun, 15 Aug 2004 10:45:26 +0200

gconf2 (2.7.1-1) experimental; urgency=low

  * GNOME Team Upload.
  * New (development) upstream release.

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sat, 19 Jun 2004 17:00:55 +0200

gconf2 (2.6.1-2) unstable; urgency=low

  * GNOME Team Upload.
  * Upload in unstable

 -- Sebastien Bacher <seb128@debian.org>  Tue, 25 May 2004 19:57:37 +0200

gconf2 (2.6.1-1) experimental; urgency=low

  * New upstream release.

 -- Sebastien Bacher <seb128@debian.org>  Tue, 20 Apr 2004 19:23:36 +0200

gconf2 (2.6.0-2) experimental; urgency=low

  * Added Build-Depends on docbook-xml (Closes: #240184).

 -- Sebastien Bacher <seb128@debian.org>  Wed, 31 Mar 2004 23:05:55 +0200

gconf2 (2.6.0-1) experimental; urgency=low

  * New upstream release.
  * debian/control.in:
    + updated Build-Depends.
  * debian/libgconf2-2.substvars:
    + removed.

 -- Sebastien Bacher <seb128@debian.org>  Tue, 23 Mar 2004 23:32:26 +0100

gconf2 (2.4.0.1-3) unstable; urgency=low
  
  * debian/control.in:
    + update for the Gnome Team.
  * debian/gconf.devhelp:
    + include this file to have the API available in devhelp.
  * debian/gconftool-2.1:
    + include manpage from the CVS (Closes: #178887).
  * debian/rules:
    + change dh_installmanpages for dh_installman.
    + install the devhelp file.
    + remove dh_undocumented call.
    + update for the Gnome Team.
    + use --enable-gtk-doc to generate the missing doc (Closes: #203645).    

 -- Sebastien Bacher <seb128@debian.org>  Thu,  1 Jan 2004 16:14:15 +0100

gconf2 (2.4.0.1-2) unstable; urgency=low

  * Fix Build-Depends : liborbit2-dev (2.8.0, should be 1:2.8.0).

 -- Sebastien Bacher <seb128@debian.org>  Sat, 18 Oct 2003 02:53:23 +0200

gconf2 (2.4.0.1-1) unstable; urgency=low

  * New upstream release
  * GNOME Team upload

 -- Sebastien Bacher <seb128@debian.org>  Wed, 15 Oct 2003 18:36:26 +0200

gconf2 (2.2.1-4) unstable; urgency=low

  * Build-Depends on gtk2 again.
    It is necessary to build gconf-sanity-check-2 (close: #213437)

 -- Takuo KITAME <kitame@debian.org>  Thu,  2 Oct 2003 12:28:51 +0900

gconf2 (2.2.1-3) unstable; urgency=low

  * Fix again postinst  (closes: #208600, #208611, #208604)

 -- Takuo KITAME <kitame@debian.org>  Thu,  4 Sep 2003 10:13:16 +0900

gconf2 (2.2.1-2) unstable; urgency=low

  * Fix postinst (closes: #205703)
  * remove libgtk2.0-dev from Build-Depends, it is not needed.
    and fix configure (closes: #187700)
  * remove symlink to manpage which does not exist(closes: #198857)
  * register gconf-1.0.dtd (closes: #177905)

 -- Takuo KITAME <kitame@debian.org>  Wed,  3 Sep 2003 17:08:44 +0900

gconf2 (2.2.1-1) unstable; urgency=low

  * New upstream release
  * applied PATH_MAX patch for GNU/Hurd (closes: #164583)
  * Build-Depends on libgtk2.0-dev (closes: #187700)
  * maintainer upload, closes NMU fixes (closes: #172387, #172388, #175309, #175515)
  * fix description (closes: #189515)

 -- Takuo KITAME <kitame@debian.org>  Tue, 17 Jun 2003 12:31:34 +0900

gconf2 (2.2.0-1) unstable; urgency=low

  * New upstream release
  * Fix build-depends (closes: #177743, #177768)

 -- Takuo KITAME <kitame@debian.org>  Wed, 22 Jan 2003 12:19:55 +0900

gconf2 (2.1.90-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@debian.org>  Mon, 20 Jan 2003 11:58:41 +0900

gconf2 (1.2.1-4) unstable; urgency=low

  * Update config.{guess,sub}
  * change Maintainer address to @debian.org

 -- Takuo KITAME <kitame@debian.org>  Wed, 13 Nov 2002 14:44:43 +0900

gconf2 (1.2.1-3) unstable; urgency=low

  * Maintainer upload. (closes: #156240, #149733)
    Thanks to Michael and Christian's NMU
  * fix shlibs. include version number
  * Conflict with older libgconf11 versions which expected gconfd-2 in /usr/bin.

 -- Takuo KITAME <kitame@northeye.org>  Mon, 26 Aug 2002 15:45:01 +0900

gconf2 (1.2.1-2.1) unstable; urgency=low

  * NMU
  * Really fix 156240. Those binaries should go in /usr/lib/gconf2 and not
    /usr/bin (Closes: #156240)
  * Build with --disable-gtk-doc Documentation already generated by
    upstream.
  * Remove debian/libgconf2.postinst This file contains a ldconfig call not
    needed with DH_COMPAT=3
  * debian/rules remove not needed double dh_makeshlibs calls and make a
    versioned gconf2 dependency for libgconf2-4 to really fix #149733.

 -- Christian Marillat <marillat@debian.org>  Thu, 22 Aug 2002 18:58:46 +0200

gconf2 (1.2.1-2) unstable; urgency=low

  * configure with --libexecdir=\$${prefix}/bin (closes: #156240)

 -- Takuo KITAME <kitame@northeye.org>  Fri, 16 Aug 2002 15:40:35 +0900

gconf2 (1.2.1-1) unstable; urgency=low

  * New upstream release
  * build against libgtk2.0-0png3

 -- Takuo KITAME <kitame@northeye.org>  Thu,  8 Aug 2002 12:37:14 +0900

gconf2 (1.2.0-1) unstable; urgency=low

  * New upstream release
  * libgconf2-4: change shlibs to gconf2 (>= ${VERSION})
    Package will depends on gconf2 instead of libgconf2,
    No problems, gconf2 depends on versioned libgconf2. (closes: #149733)

 -- Takuo KITAME <kitame@northeye.org>  Thu, 13 Jun 2002 03:07:55 +0900

gconf2 (1.1.11-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@northeye.org>  Tue,  4 Jun 2002 00:13:36 +0900

gconf2 (1.1.10-2) unstable; urgency=low

  * move /usr/lib/GConf/2/libgconfbackend-xml.so into gconf2 (closes: #148136)

 -- Takuo KITAME <kitame@northeye.org>  Fri, 31 May 2002 15:53:49 +0900

gconf2 (1.1.10-1) unstable; urgency=low

  * New upstream release
  * use dbs

 -- Takuo KITAME <kitame@northeye.org>  Wed,  1 May 2002 09:47:52 +0900

gconf2 (1.1.9-2) unstable; urgency=low

  * fix place of Documentation (closes: #140782)
  * includes FAQ and README.Debian

 -- Takuo KITAME <kitame@northeye.org>  Tue, 23 Apr 2002 12:36:11 +0900

gconf2 (1.1.9-1) unstable; urgency=low

  * New upstream release
  * bug fixed by upstrem.
    closes: #138188 Can't deal with locales not specified in the schema file

 -- Takuo KITAME <kitame@northeye.org>  Mon,  1 Apr 2002 06:18:50 +0900

gconf2 (1.1.8-6) unstable; urgency=high

  * fix bashism in postrm (closes: #140133, #140221)

 -- Takuo KITAME <kitame@northeye.org>  Thu, 28 Mar 2002 11:33:57 +0900

gconf2 (1.1.8-5) unstable; urgency=low

  * build against glib2.0 (closes: #139611)

 -- Takuo KITAME <kitame@northeye.org>  Thu, 21 Mar 2002 00:32:52 +0900

gconf2 (1.1.8-4) unstable; urgency=low

  * build against libgtk1.3-15
  * debian/gconf2.postrm:
    - rmdir -p /etc/gconf/2 on purge (closes: #135687)

 -- Takuo KITAME <kitame@northeye.org>  Tue, 26 Feb 2002 13:09:39 +0900

gconf2 (1.1.8-3) unstable; urgency=low

  * build against libgtk1.3-14

 -- Takuo KITAME <kitame@northeye.org>  Fri, 22 Feb 2002 20:48:34 +0900

gconf2 (1.1.8-2) unstable; urgency=low

  * build against libatk12

 -- Takuo KITAME <kitame@northeye.org>  Fri, 15 Feb 2002 10:18:31 +0900

gconf2 (1.1.8-1) unstable; urgency=low

  * New upstream release
  * libgconf2-dev depends on liborbit2-dev (closes: #133630)
  * build against libatk11

 -- Takuo KITAME <kitame@northeye.org>  Wed, 13 Feb 2002 14:32:23 +0900

gconf2 (1.1.7-3) unstable; urgency=low

  * build against new linc and ORBit2

 -- Takuo KITAME <kitame@northeye.org>  Mon, 11 Feb 2002 22:26:43 +0900

gconf2 (1.1.7-2) unstable; urgency=low

  * change soname to 4

 -- Takuo KITAME <kitame@northeye.org>  Fri,  8 Feb 2002 05:05:07 +0900

gconf2 (1.1.7-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@northeye.org>  Wed,  6 Feb 2002 01:13:05 +0900

gconf2 (1.1.6-2) unstable; urgency=low

  * Build against libglib1.3-13
  * update Build-Depends: libglib1.3-dev (>= 1.3.13)

 -- Takuo KITAME <kitame@northeye.org>  Sun,  3 Feb 2002 23:36:56 +0900

gconf2 (1.1.6-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@northeye.org>  Fri, 18 Jan 2002 20:59:27 +0000

gconf2 (1.1.5-2) unstable; urgency=low

  * build against latest libraries.
  * update Build-Depends.

 -- Takuo KITAME <kitame@northeye.org>  Tue,  8 Jan 2002 10:01:24 +0000

gconf2 (1.1.5-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@northeye.org>  Wed,  2 Jan 2002 10:39:56 +0000

gconf2 (1.1.4-6) unstable; urgency=low

  * debian/control:
    - Fix Build-Depends: line and add 'indent' (closes: #126581)

 -- Takuo KITAME <kitame@northeye.org>  Thu, 27 Dec 2001 06:14:23 +0000

gconf2 (1.1.4-5) unstable; urgency=low

  * debian/control:
    - fixed typo in description (closes: #124952)

 -- Takuo KITAME <kitame@northeye.org>  Mon, 17 Dec 2001 23:45:27 +0000

gconf2 (1.1.4-4) unstable; urgency=low

  * fix build-depends, again (closes: #122995)

 -- Takuo KITAME <kitame@northeye.org>  Sun,  9 Dec 2001 03:30:49 +0000

gconf2 (1.1.4-3) unstable; urgency=low

  * Build against new glib1.3.11
  * fix glib-object.h problem.
  * Build-Depends: liborbit2-dev (>= 2.3.99) (closes: #122263)

 -- Takuo KITAME <kitame@northeye.org>  Fri,  7 Dec 2001 20:48:19 +0000

gconf2 (1.1.4-2) unstable; urgency=low
  
  * fix build-depends. (closes: #121554)
  
 -- Takuo KITAME <kitame@northeye.org>  Wed, 28 Nov 2001 15:53:43 +0000

gconf2 (1.1.4-1) unstable; urgency=low

  * New upstream release
  * Build against glib1.3.10

 -- Takuo KITAME <kitame@northeye.org>  Tue, 13 Nov 2001 00:11:10 +0000

gconf2 (1.1.3-1) unstable; urgency=low

  * New upstream release
  * New package name gconf2, libgconf2, libgconf2-dev

 -- Takuo KITAME <kitame@northeye.org>  Fri, 26 Oct 2001 04:30:43 +0000

gconf (1.0.6-3) unstable; urgency=low

  * g_utf8_validate renamed to gconf_g_utf8_validate (It is internal!!)
    comment out unused g_utf8_skip
    It'll fix Evolution(Summary) with gconf 1.0.6. (closes: #116423)  

 -- Takuo KITAME <kitame@northeye.org>  Mon, 22 Oct 2001 19:39:59 +0900

gconf (1.0.6-2) unstable; urgency=low

  * Fixed postinst (closes: #116176, #116177, #116178, #116179)

 -- Takuo KITAME <kitame@northeye.org>  Fri, 19 Oct 2001 12:25:55 +0900

gconf (1.0.6-1) unstable; urgency=low

  * New upstream release
  * fixed wrong URL in README (closes: #112000)
  * fix permission of /etc/gconf/gconf.xml.defaults (closes: #112875, #115920)

 -- Takuo KITAME <kitame@northeye.org>  Thu, 18 Oct 2001 10:01:17 +0900

gconf (1.0.5-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@northeye.org>  Mon, 15 Oct 2001 13:35:23 +0900

gconf (1.0.4-3) unstable; urgency=low

  * libgconf-dev: depends liboaf-dev (closes: #111251)

 -- Takuo KITAME <kitame@northeye.org>  Fri,  7 Sep 2001 21:35:36 +0900

gconf (1.0.4-2) unstable; urgency=low

  * rebuild with latest oaf. It will be fix Bug#110874. (closes: Bug#110874)

 -- Takuo KITAME <kitame@northeye.org>  Sun,  2 Sep 2001 01:20:31 +0900

gconf (1.0.4-1) unstable; urgency=low

  * New upstream release (closes: Bug#109689)

 -- Takuo KITAME <kitame@northeye.org>  Fri, 24 Aug 2001 02:30:51 +0900

gconf (1.0.3-2) unstable; urgency=low

  * install /etc/gconf/gconf.xml.mandatory (closes: Bug#108054)

 -- Takuo KITAME <kitame@northeye.org>  Thu,  9 Aug 2001 00:48:00 +0900

gconf (1.0.3-1) unstable; urgency=low

  * New upstream release
  * include gconf.xml.defaults (closes: Bug#105894)
  * include /etc/gconf/1/ (closes: Bug#105896)
  * rm -rf /etc/gconf when purge gconf (closes: Bug#104415)

 -- Takuo KITAME <kitame@northeye.org>  Tue,  7 Aug 2001 03:55:17 +0900

gconf (1.0.1-3) unstable; urgency=low

  * update config.{guess,sub} (closes: Bug#103376)

 -- Takuo KITAME <kitame@northeye.org>  Sun,  8 Jul 2001 19:06:37 +0900

gconf (1.0.1-2) unstable; urgency=low

  * escape gnome-config checks in configure.in.
    It's not needed, I think. (closes: Bug#98350)

 -- Takuo KITAME <kitame@northeye.org>  Sun, 27 May 2001 16:50:45 +0900

gconf (1.0.1-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@northeye.org>  Sun, 20 May 2001 04:16:32 +0900

gconf (1.0.0-4) unstable; urgency=low

  * debian/control: fix description. (closes: Bug#94179)

 -- Takuo KITAME <kitame@northeye.org>  Thu, 19 Apr 2001 03:07:13 +0900

gconf (1.0.0-3) unstable; urgency=low

  * Build-Depends: added versionned libguile-dev (>= 1:1.4-10) (closes: Bug#93101)
  * Built with libdb3 (closes: Bug#93192, Bug#93185)

 -- Takuo KITAME <kitame@northeye.org>  Sun,  8 Apr 2001 13:59:35 +0900

gconf (1.0.0-2) unstable; urgency=low

  * fix Build-Depends zlib1g-dev (closes: Bug#90380)

 -- Takuo KITAME <kitame@northeye.org>  Thu, 22 Mar 2001 13:12:36 +0900

gconf (1.0.0-1) unstable; urgency=low

  * New upstream release
  * fix Build-Depends libgtk1.2-dev. (closes: Bug#89567)

 -- Takuo KITAME <kitame@northeye.org>  Wed, 14 Mar 2001 12:07:30 +0900

gconf (0.50-2) unstable; urgency=low

  * libgconf-dev: Depends on gconf (= ${Source-Version}) (closes: Bug#89309)
  * --disable-debug (closes: Bug#81210)

 -- Takuo KITAME <kitame@northeye.org>  Tue, 13 Mar 2001 19:00:54 +0900

gconf (0.50-1) unstable; urgency=low

  * New upstream release
  * libguile-dev is now availeable, Build-Depends: libguile-dev is right. (closes: Bug#84454)
  * gconf binaries are now in own package 'gconf'.

 -- Takuo KITAME <kitame@northeye.org>  Wed, 28 Feb 2001 12:11:35 +0900

gconf (0.12-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@northeye.org>  Thu,  1 Feb 2001 13:13:38 +0900

gconf (0.11-2) unstable; urgency=low

  * debian/control: Build-Depends (closes: Bug#77623)

 -- Takuo KITAME <kitame@northeye.org>  Wed, 22 Nov 2000 09:02:56 +0900

gconf (0.11-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@northeye.org>  Sun, 29 Oct 2000 03:54:31 +0900

gconf (0.10-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@northeye.org>  Wed, 11 Oct 2000 09:47:19 +0900

gconf (0.8-1) unstable; urgency=low

  * New upstream release

 -- Takuo KITAME <kitame@northeye.org>  Fri, 18 Aug 2000 05:47:20 +0900

gconf (0.5.000512-1) unstable; urgency=low

  * Initial Release.

 -- Vincent Renardias <vincent@debian.org>  Mon, 15 May 2000 17:43:46 +0200
